REST Resource: networkLocationBindings

Resource: NetworkLocationBindingsGetResponse

Response message for NetworkLocationBindings.Get.

JSON representation
{
  "resource": {
    "kind": string,
    "id": string,
    "creationTimestamp": string,
    "name": string,
    "description": string,
    "selfLink": string,
    "region": string,
    "selfLinkWithId": string,
    "state": enum,
    "status": {
      "bindingType": enum,
      "zonalBindings": {
        string: {
          "prodClusters": [
            string
          ]
        },
        ...
      }
    },
    "network": string
  },
  "etag": string
}
Fields
resource

object

The NetworkLocationBinding resource returned.

Available from version 2026-10-01-preview.

resource.kind

string

Output only. Type of the resource. Always compute#networkLocationBinding for network location bindings.

resource.id

string (uint64 format)

Output only. The unique identifier for the resource type. The server generates this identifier.

resource.creationTimestamp

string

Output only. Creation timestamp in RFC3339 text format.

resource.name

string

Output only. Name of the resource. The name is generated by the server when the associated network is created.

resource.description

string

Output only. An optional textual description of the resource.

resource.selfLink

string

Output only. Server-defined URL for the resource.

resource.region

string

Output only. URL of the region where the network location binding resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

resource.selfLinkWithId

string

Output only. Server-defined URL for this resource with the resource id.

resource.state

enum

Output only. State of the binding.

resource.status

object

Output only. Status and derived information about the network location binding.

resource.status.bindingType

enum

Output only. Indicates whether a single cluster, specific clusters, or all clusters are allowed for instance creation.

resource.status.zonalBindings[]

map (key: string, value: object)

Output only. The mapping of zones to their binding information, keyed by the zone, e.g. zones/us-central1-a.

resource.status.zonalBindings[].prodClusters[]

string

Output only. Prod cluster names in the zone that this network could schedule instances in.

resource.network

string

Output only. The network this network location binding belongs to.

etag

string

Server-defined ETag for optimistic concurrency control. end_interface: MixerGetResponseWithEtagBuilder

Available from version 2026-10-01-preview.

Methods

get

Returns the specified NetworkLocationBinding resource in the given scope.

list

Lists the NetworkLocationBindings for a project in the given scope.